Bug 683693 - Fedora 15 alpha fails to boot with message "[8.467858] invalid opcode: 0000 [#1] SMP"
Summary: Fedora 15 alpha fails to boot with message "[8.467858] invalid opcode: 0000 [...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: John Feeney
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-10 03:15 UTC by ben
Modified: 2013-01-10 08:17 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-05 01:44:32 UTC


Attachments (Terms of Use)
screenshot of invalid opcode failure (735.96 KB, image/jpeg)
2011-03-10 18:09 UTC, ben
no flags Details

Description ben 2011-03-10 03:15:42 UTC
Description of problem: Attempting to boot the Fedora 15 alpha x86_64 installation image from USB flash drive on a Thinkpad x120e with AMD E-350 APU. Booting fails with message "[8.467858] invalid opcode: 0000 [#1] SMP"


Version-Release number of selected component (if applicable):


How reproducible: Create bootable USB drive using Fedora 15 alpha x86_64 install image, try to boot from it.


Steps to Reproduce:
1.
2.
3.
  
Actual results: Boot fails


Expected results: Successful boot, loading of anaconda.


Additional info:

Comment 1 Bill Nottingham 2011-03-10 17:41:06 UTC
Can you get a screenshot with more details?

Comment 2 ben 2011-03-10 18:09:19 UTC
Created attachment 483530 [details]
screenshot of invalid opcode failure

Comment 3 Chuck Ebbert 2011-03-12 00:31:17 UTC
(In reply to comment #2)
> Created attachment 483530 [details]
> screenshot of invalid opcode failure

Wow, all you get is that first line from the oops?

Comment 4 ben 2011-03-12 01:21:28 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Created attachment 483530 [details]
> > screenshot of invalid opcode failure
> 
> Wow, all you get is that first line from the oops?

Yes :(

Comment 5 ben 2011-03-12 01:22:35 UTC
If there's anything I can do to get more details about the error, let me know.

Comment 6 Chuck Ebbert 2011-03-12 01:26:29 UTC
Are you using the EFI boot disk?

Comment 7 ben 2011-03-12 01:57:37 UTC
(In reply to comment #6)
> Are you using the EFI boot disk?

EFI boot disk? I'm not sure what you're referring to. Enlighten me?

I'm using the image located here: http://download.fedoraproject.org/pub/fedora/linux/releases/test/15-Alpha/Fedora/x86_64/iso/Fedora-15-Alpha-x86_64-DVD.iso

I'm creating a bootable usb drive using unetbootin.

Comment 8 Chuck Ebbert 2011-03-12 17:50:28 UTC
Can you try blacklistsing the efivars module? (Just add "blacklist=efivars" to the kernel command line.)

Comment 9 ben 2011-03-13 07:38:19 UTC
(In reply to comment #8)
> Can you try blacklistsing the efivars module? (Just add "blacklist=efivars" to
> the kernel command line.)

Ok, I tried that, and I got identical results.

Comment 10 Chuck Ebbert 2011-03-13 17:59:49 UTC
Did the line just before "invalid opcode" still say "EFI Variables Facility"?

Comment 11 ben 2011-03-13 19:38:51 UTC
(In reply to comment #10)
> Did the line just before "invalid opcode" still say "EFI Variables Facility"?

Yes it did.

Comment 12 Chuck Ebbert 2011-03-14 23:58:17 UTC
Maybe we load that in the initrd? Try "rdblacklist=efivars blacklist=efivars" in the kernel options...

Comment 13 Chuck Ebbert 2011-03-15 00:06:15 UTC
Oh, never mind, we build it in. The magic option is "noefi", try that...

Comment 14 ben 2011-03-15 00:17:06 UTC
(In reply to comment #13)
> Oh, never mind, we build it in. The magic option is "noefi", try that...

The 'noefi' did the trick; however, now my end result is a flickering screen which is gray most of the time, but occasionally flashes pink. Still no anaconda. Should I file a separate bug report for that?

Comment 15 Chuck Ebbert 2011-03-15 06:02:57 UTC
(In reply to comment #14)
> > Oh, never mind, we build it in. The magic option is "noefi", try that...
> 
> The 'noefi' did the trick; however, now my end result is a flickering screen
> which is gray most of the time, but occasionally flashes pink. Still no
> anaconda. Should I file a separate bug report for that?

I really don't know where to go from here. We can't see where it's failing unless you can get kdump working somehow, and we can't disable just efivars. (I suspect you need EFI support to get working video.)

Comment 16 Chuck Ebbert 2011-03-15 15:36:09 UTC
Can you try to disable EFI in the BIOS settings? It might be under "operating system type" - you should change it to Windows XP if that's possible.

Comment 17 ben 2011-03-15 17:10:22 UTC
(In reply to comment #16)
> Can you try to disable EFI in the BIOS settings? It might be under "operating
> system type" - you should change it to Windows XP if that's possible.

My options are UEFI or Legacy. Using the Legacy option, and picking the 'basic video driver' option from the grub menu allows me to get to the installer (the default option in the grub menu does not work).

Comment 18 Chuck Ebbert 2011-03-17 05:54:47 UTC
You need to file another bug about the video failure then.

This bug will be left open until we get the UEFI problem fixed properly, but for now we at least have a workaround.

Comment 19 Chuck Ebbert 2011-03-22 03:45:35 UTC
This should be fixed in 2.6.38-3

Comment 20 Fedora Update System 2011-03-24 10:54:28 UTC
kernel-2.6.38.1-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.38.1-6.fc15

Comment 21 Chuck Ebbert 2011-03-26 21:12:12 UTC
Can you confirm this was fixed?

Comment 22 ben 2011-03-26 21:23:19 UTC
Has the F15 alpha install image been updated with the new kernel?

Comment 23 Fedora Update System 2011-03-28 05:18:15 UTC
kernel-2.6.38.2-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.38.2-8.fc15

Comment 24 ben 2011-03-28 17:54:49 UTC
(In reply to comment #21)
> Can you confirm this was fixed?

I can confirm that I have no EFI problems when booting a completed install (even without updating to the latest kernel); however this bug is specifically about booting the install image.

Comment 25 Fedora Update System 2011-03-31 20:02:30 UTC
kernel-2.6.38.2-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Matthew Garrett 2011-04-05 01:44:32 UTC
Verified on an X120e.

Comment 27 liucougar 2011-04-24 23:13:48 UTC
I am having the same error while booting a self made kernel with UEFI fireware

if I leave the efivars module not compiled in, I can boot the kernel but if I modprobe efivars module, the system freezes immediately

could you enlighten me what's the relevant patch/config change in kernel-2.6.38.2-8.fc15 which fixes the "invalid opcode: 0000 [#1] SMP" in efivars module? thanks

Comment 28 Chuck Ebbert 2011-04-25 07:34:37 UTC
(In reply to comment #27)
> I am having the same error while booting a self made kernel with UEFI fireware
> 
> if I leave the efivars module not compiled in, I can boot the kernel but if I
> modprobe efivars module, the system freezes immediately
> 
> could you enlighten me what's the relevant patch/config change in
> kernel-2.6.38.2-8.fc15 which fixes the "invalid opcode: 0000 [#1] SMP" in
> efivars module? thanks

We had an out-of-tree patch that tried to make EFI default to physical mode.

Comment 29 liucougar 2011-04-25 16:55:08 UTC
thanks for the info. I applied that EFI physical mode patch as well, without it, I can't even boot my thinkpad w520 (so bug 699313 is filed)


Note You need to log in before you can comment on or make changes to this bug.